%global npmname color

Name:           nodejs-%{npmname}
Version:        3.1.2
Release:        1%{?dist}
Summary:        Javascript color conversion and manipulation library

License:        MIT
URL:            https://www.npmjs.com/package/%{npmname}

Source0:        https://github.com/Qix-/%{npmname}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  nodejs-packaging

BuildRequires:  mocha
BuildRequires:  nodejs-color-convert
BuildRequires:  nodejs-color-string

BuildArch:      noarch
ExclusiveArch: %{nodejs_arches} noarch

%description
JavaScript library for immutable color conversion and
manipulation with support for CSS color strings.

%prep
%autosetup -n %{npmname}-%{version}

%nodejs_fixdep color-convert
%nodejs_fixdep color-string

%build
# Nothing to build, this is a noarch package

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npmname}
cp -a index.js %{buildroot}%{nodejs_sitelib}/%{npmname}/
cp -a package.json %{buildroot}%{nodejs_sitelib}/%{npmname}/

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'

mocha

%files
%{nodejs_sitelib}/%{npmname}/
%license LICENSE
%doc README.md

%changelog
* Tue Apr 28 2020 Ben Rosser <rosser.bjr@gmail.com> - 3.1.2-1
- Initial package for Fedora.
